Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.util
Class Base64

    java.lang.Object
      com.sshtools.j2ssh.util.Base64

public class Base64
extends java.lang.Object

DOCUMENT ME!

Nested Class Summary
`static class` | `Base64.InputStream`
`static class` | `Base64.OutputStream`

Field Summary
`static boolean` | `DECODE` DOCUMENT ME!
`static boolean` | `ENCODE` DOCUMENT ME!

Method Summary
`static byte[]` | `decode(byte[] source, int off, int len)`
`static byte[]` | `decode(java.lang.String s)` DOCUMENT ME!
`static java.lang.Object` | `decodeToObject(java.lang.String encodedObject)`
`static java.lang.String` | `decodeToString(java.lang.String s)`
`static java.lang.String` | `encodeBytes(byte[] source, boolean ignoreMaxLineLength)`
`static java.lang.String` | `encodeBytes(byte[] source, int off, int len, boolean ignoreMaxLineLength)`
`static java.lang.String` | `encodeObject(java.io.Serializable serializableObject)`
`static java.lang.String` | `encodeString(java.lang.String s, boolean ignoreMaxLineLength)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODE

    public static final boolean ENCODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DECODE

    public static final boolean DECODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Method Detail

### decode

    public static byte[] decode(java.lang.String s)

  DOCUMENT ME!

  Parameters:
    `s` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### decode

    public static byte[] decode(byte[] source,
                                int off,
                                int len)

### decodeToObject

    public static java.lang.Object decodeToObject(java.lang.String encodedObject)

### decodeToString

    public static java.lang.String decodeToString(java.lang.String s)

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source,
                                               boolean ignoreMaxLineLength)

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source,
                                               int off,
                                               int len,
                                               boolean ignoreMaxLineLength)

### encodeObject

    public static java.lang.String encodeObject(java.io.Serializable serializableObject)

### encodeString

    public static java.lang.String encodeString(java.lang.String s,
                                                boolean ignoreMaxLineLength)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD